Skip to main content
GET
Retrieve a deposit

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

account_id
string
required
deposit_id
string
required

Response

OK

account
string
required

The ID of the parent account.

amount
string
required

The amount of the deposit.

Examples:

"100.00"

"50.12"

created_at
string<date-time>
required

The timestamp (in ISO-8601 format) of when the resource was created.

currency
enum<string>
required

The currency of the deposit.

Available options:
EUR,
USD,
GBP
id
string
required

Unique resource identifier.

modified_at
string<date-time>
required

The timestamp (in ISO-8601 format) of when the resource was last modified.

payment_reference
string
required

The reference used to identify the inbound payment.

Example:

"202512161234"

status
enum<string>
required

The status of the deposit.

Available options:
open,
completed
was_advanced
boolean
required

Whether the deposit was advanced as unsettled cash.

advanced_at
string<date-time> | null

The time the deposit was advanced as unsettled cash.

Example:

"2026-07-14T09:32:00Z"

completed_at
string<date-time> | null

The time the deposit was completed.

Example:

"2026-07-14T09:34:12Z"